package com.bonus.canteen.core.order.mq.po;

import cn.hutool.core.collection.CollUtil;
import com.bonus.canteen.core.order.common.model.*;

import java.util.List;

public class OrderPlacedPO {
   private String traceId;
   private Long tenantId;
   private String outTradeNo;
   private List<OrderInfo> orderInfoList = CollUtil.newArrayList(new OrderInfo[0]);
   private List<OrderDetail> detailList = CollUtil.newArrayList(new OrderDetail[0]);
   private List<OrderDelivery> orderDeliveryList = CollUtil.newArrayList(new OrderDelivery[0]);
   private List<OrderAmountChange> amountChangeList = CollUtil.newArrayList(new OrderAmountChange[0]);
   private List<OrderAmountDetail> amountDetailList = CollUtil.newArrayList(new OrderAmountDetail[0]);

   public String getTraceId() {
      return this.traceId;
   }

   public Long getTenantId() {
      return this.tenantId;
   }

   public String getOutTradeNo() {
      return this.outTradeNo;
   }

   public List<OrderInfo> getOrderInfoList() {
      return this.orderInfoList;
   }

   public List<OrderDetail> getDetailList() {
      return this.detailList;
   }

   public List<OrderDelivery> getOrderDeliveryList() {
      return this.orderDeliveryList;
   }

   public List<OrderAmountChange> getAmountChangeList() {
      return this.amountChangeList;
   }

   public List<OrderAmountDetail> getAmountDetailList() {
      return this.amountDetailList;
   }

   public void setTraceId(final String traceId) {
      this.traceId = traceId;
   }

   public void setTenantId(final Long tenantId) {
      this.tenantId = tenantId;
   }

   public void setOutTradeNo(final String outTradeNo) {
      this.outTradeNo = outTradeNo;
   }

   public void setOrderInfoList(final List<OrderInfo> orderInfoList) {
      this.orderInfoList = orderInfoList;
   }

   public void setDetailList(final List<OrderDetail> detailList) {
      this.detailList = detailList;
   }

   public void setOrderDeliveryList(final List<OrderDelivery> orderDeliveryList) {
      this.orderDeliveryList = orderDeliveryList;
   }

   public void setAmountChangeList(final List<OrderAmountChange> amountChangeList) {
      this.amountChangeList = amountChangeList;
   }

   public void setAmountDetailList(final List<OrderAmountDetail> amountDetailList) {
      this.amountDetailList = amountDetailList;
   }

}
